# +--------------------------------------------------------------------------+
# | Copyright 1992 - 2002 Rational Software Corporation. All Rights Reserved.|
# | This software contains proprietary and confidential information of       |
# | Rational and its suppliers. Use, disclosure or reproduction is           |
# | prohibited without the prior express written consent of Rational.        |
# +--------------------------------------------------------------------------+
# 
###############################################################################
# Query Makefile
# 
# This makefile is used as the root makefile when making queries of
# the information available in the makefiles.


###############################################################################
# Static Apex Macros
#
# These should be in every root makefile.

APEX_SUBSYSTEM		= /accts/tuff.a/rel422_basestg/base/c++/testmate.ss

APEX_VIEW		= /accts/tuff.a/rel422_basestg/base/c++/testmate.ss/i386_linux2.4.2.2.rel

APEX_DIRECTORY		= /accts/tuff.a/rel422_basestg/base/c++/testmate.ss/i386_linux2.4.2.2.rel


###############################################################################
# Included Makefiles
#
# Only includes those necessary for queries.  In particular, it doesn't
# include the Dependencies.mk to avoid reading in all of the dependencies.

VIEW_MAKEFILES_PARENT	= $(APEX_VIEW)/.Rational/Build_Control

CUSTOM_MAKEFILES_PARENT = $(APEX_VIEW)/Policy

DIR_MAKEFILES_PARENT	= $(APEX_DIRECTORY)/.Makefiles.rtnl


### View-specific Makefiles

DEFINITIONS_MAKEFILE	= $(VIEW_MAKEFILES_PARENT)/Definitions.mk
# Contains common macro definitions.

MASTER_MAKEFILE		= $(VIEW_MAKEFILES_PARENT)/Master.mk
# Contains all the rules, including those for queries.

INCLUDES_MAKEFILE	= $(VIEW_MAKEFILES_PARENT)/Includes.mk
# Definition of the include paths passed to the compiler

CUSTOM_MAKEFILE		= $(CUSTOM_MAKEFILES_PARENT)/Customization.mk
# Makefile for user customization in each view


### Directory-specific Makefiles

CONTEXT_MAKEFILE	= $(DIR_MAKEFILES_PARENT)/Context.mk
# Definitions (including switch values) that are dependent on the context.

OBJECTS_MAKEFILE	= $(DIR_MAKEFILES_PARENT)/Objects.mk
# Dynamic macros containing the names of objects found in the directory.

OPTIONS_MAKEFILE    	= $(DIR_MAKEFILES_PARENT)/Options.mk
# Compiler options propagated from Policy/Switches


### Global Makefiles 

GLOBAL_MAKEFILE		= $(APEX_KEY)/Global.mk
# Global definitions for the build key


include $(CONTEXT_MAKEFILE)
include $(DEFINITIONS_MAKEFILE)
include $(OBJECTS_MAKEFILE)
include $(OPTIONS_MAKEFILE)
include $(INCLUDES_MAKEFILE)
include $(GLOBAL_MAKEFILE)
include $(CUSTOM_MAKEFILE)

 

 

include $(MASTER_MAKEFILE)


