/*+--------------------------------------------------------------------------+
 *| Copyright 1992 - 2002 Rational Software Corporation. All Rights Reserved.|
 *| This software contains proprietary and confidential information of       |
 *| Rational and its suppliers. Use, disclosure or reproduction is           |
 *| prohibited without the prior express written consent of Rational.        |
 *+--------------------------------------------------------------------------+
 */
/*
// File Name: header_macros.h
//
// Preprocessor macros used to make headers compatible for both C and C++.
*/

#ifndef TMS_HEADER_MACROS_H

	#define TMS_HEADER_MACROS_H

	/* Macros to either define or omit function prototypes. */

	#ifdef _NO_PROTO
	    #define TMS_PROTO(args) ()
	#else
	    #define TMS_PROTO(args) args
	#endif



	/* Macros to simplify C++ ifdef blocks */

	#ifdef __cplusplus

	    #ifndef TMS_CPLUSPLUS
		#define TMS_CPLUSPLUS
	    #endif

	    #ifndef TMS_BEGIN_CPLUSPLUS
		#define TMS_BEGIN_CPLUSPLUS extern "C" {
	    #endif

	    #ifndef TMS_END_CPLUSPLUS
		#define TMS_END_CPLUSPLUS }
	    #endif

	#else

	    #undef TMS_CPLUSPLUS

	    #ifndef TMS_BEGIN_CPLUSPLUS
		#define TMS_BEGIN_CPLUSPLUS
	    #endif

	    #ifndef TMS_END_CPLUSPLUS
		#define TMS_END_CPLUSPLUS
	    #endif

	#endif

#endif /* TMS_HEADER_MACROS_H */
